=== libUseful-5/examples/Makefile ===
LIBS=../libUseful.a -lssl -lcrypto -lz #-lcap

all:
	gcc -oJSON.exe JSON.c $(LIBS)
	gcc -oCMON.exe CMON.c $(LIBS)
	gcc -oYAML.exe YAML.c $(LIBS)
	gcc -oHash.exe Hash.c $(LIBS)
	gcc -oHMAC.exe HMAC.c $(LIBS)
	gcc -oTerminal.exe Terminal.c $(LIBS)
	gcc -oTermBar.exe TermBar.c $(LIBS)
	gcc -oVars.exe Vars.c $(LIBS)
	gcc -oParseRSS.exe ParseRSS.c $(LIBS)
	gcc -oFileCopy.exe FileCopy.c $(LIBS)
	gcc -oTokenize.exe Tokenize.c $(LIBS)
	gcc -oSpawnContainer.exe SpawnContainer.c $(LIBS)
	gcc -oMaps.exe Maps.c $(LIBS)
	gcc -oTTYTest.exe TTYTest.c $(LIBS)
	gcc -oErrors.exe Errors.c $(LIBS)
	gcc -ossh-tunnel.exe ssh-tunnel.c $(LIBS)
	gcc -oConfig.exe Config.c $(LIBS)
	gcc -oStrLen.exe StrLen.c $(LIBS)
	gcc -oSSLClient.exe SSLClient.c $(LIBS)
	gcc -oSysInfo.exe SysInfo.c $(LIBS)
	gcc -oWebsocket.exe Websocket.c $(LIBS)
	gcc -oHttpServer.exe HttpServer.c $(LIBS)
	gcc -oPasswordFile.exe PasswordFile.c $(LIBS)
	gcc -obase32.exe base32.c $(LIBS)
