=== debian/changelog ===
hashrat (1.19-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Arnaud Rebillout ]
  * Fix watch file
  * New upstream version 1.19
  * Update copyright
  * Rebuild patches so that it applies
  * Fix build without OpenSSL
  * Re-enable tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 27 May 2024 16:18:54 +0700
