=== libUseful-5/examples/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	gcc -oHMAC.exe HMAC.c $(LIBS)
 	gcc -oTerminal.exe Terminal.c $(LIBS)
 	gcc -oTermBar.exe TermBar.c $(LIBS)
+	gcc -oTermProgress.exe TermProgress.c $(LIBS)
 	gcc -oVars.exe Vars.c $(LIBS)
 	gcc -oParseRSS.exe ParseRSS.c $(LIBS)
 	gcc -oFileCopy.exe FileCopy.c $(LIBS)
