=== debian/changelog ===
hashrat (1.20-1) unstable; urgency=medium

  [ Niels Thykier ]
  * Set `Rules-Requires-Root: no`, since `(fake)root` is not needed

  [ Arnaud Rebillout ]
  * New upstream version 1.20
  * Drop patches applied upstream, adjust existing patches
  * Bump Standards-Version (no change required)

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 19 Jun 2024 08:03:03 +0700
