=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/ColumPaget/Hashrat/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hashrat.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hashrat
