=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/ColumPaget/Hashrat/releases?per_page=100 \
    https://api.github.com/repos/ColumPaget/Hashrat/tarball/@ANY_VERSION@
