=== debian/changelog ===
hashrat (1.23+ds-1) unstable; urgency=medium

  * New upstream version 1.23+ds
  * d/control:
    - Add Build-Depends: libssl-dev and zlib1g-dev
    - Add myself to Uploaders
  * d/copyright:
    - Add myself to debian/*
    - Change license name from MIT to HPND-MIT-disclaimer
    - Exclude pre-compiled libUseful.so.5 due to DS violation
    - Update to reflect upstream copyright changes
  * d/patches:
    - Add-more-flags-to-improve-GCC...patch: Set forwarded and apply DEP-3
    - Fix-libUseful-Makefile.patch: Update patch, set forwarded and apply DEP-3
    - Fix-manpage-font-formatting.patch: New patch to fix manpage formatting
    - Fix-some-spelling...patch: Refresh patch, forwarded and apply DEP-3
  * d/rules:
    - Add execute_before_dh_autoreconf to copy ar-lib
    - Enable support for zlib and ssl in dh_auto_configure
  * d/watch
    - Add repacksuffix for +ds and dversionmangle
    - Reorganize to standard format and remove filenamemangle

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 27 Feb 2025 00:09:07 -0300
